Name:           fotowall
Version:        1.0
Release:        %mkrel 1
Summary:        Photo collection creativity tool
Group:          Graphics
License:        GPLv2+
URL:            http://www.enricoros.com/opensource/fotowall/
Source0:        https://github.com/enricoros/fotowall/archive/v%{version}/%{name}-%{version}.tar.xz
#fixme
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  libv4l-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qttools5

%description
FotoWall is a creative tool that allows you to layout your photos or pictures
in a personal way. You can add pictures, then resize, move,
change colors, text, shadows, etc..

%prep
%setup -q

# Unused file
sed -i -e "/scripts/d" -e "s@man\ \\\@man@" %{name}.pro
# for v4l1 compatibility
sed -i -e 's/linux\/videodev2.h/libv4l1-videodev.h/' 3rdparty/videocapture/VideoDevice.h

%build
%qmake_qt5
%make_build

%install
rm -rf %buildroot
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Graphics" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
	
%files
%doc GPL_V2 README.markdown
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/man


%changelog
* Wed Apr 04 2018 bb2 <bb2> - 1.0-1pclos2018
- new version 
- qt5 port
